ru.bitel.bgbilling.modules.voice.api.common.bean

## Class VoiceError

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceError

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class VoiceError
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceError()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccountId()`
    `java.lang.String` | `getAccountTitle()`
    `int` | `getCode()`
    `java.lang.String` | `getContractTitle()`
    `int` | `getDeviceId()`
    `long` | `getDuration()`
    `java.lang.String` | `getErrorText()`
    `java.lang.String` | `getFromPort()`
    `java.util.Date` | `getHour()`
    `java.lang.String` | `getPhoneFrom()`
    `java.lang.String` | `getPhoneTo()`
    `java.util.Date` | `getSessionStart()`
    `java.lang.String` | `getToPort()`
    `void` | `setAccountId(int accountId)`
    `void` | `setAccountTitle(java.lang.String accountTitle)`
    `void` | `setCode(int code)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDeviceId(int deviceId)`
    `void` | `setDuration(long duration)`
    `void` | `setErrorText(java.lang.String errorText)`
    `void` | `setFromPort(java.lang.String fromPort)`
    `void` | `setHour(java.util.Date hour)`
    `void` | `setPhoneFrom(java.lang.String phoneFrom)`
    `void` | `setPhoneTo(java.lang.String phoneTo)`
    `void` | `setSessionStart(java.util.Date sessionStart)`
    `void` | `setToPort(java.lang.String toPort)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceError

          public VoiceError()

  - ### Method Detail

    - #### getPhoneFrom

          public java.lang.String getPhoneFrom()

    - #### setPhoneFrom

          public void setPhoneFrom(java.lang.String phoneFrom)

    - #### getPhoneTo

          public java.lang.String getPhoneTo()

    - #### setPhoneTo

          public void setPhoneTo(java.lang.String phoneTo)

    - #### getErrorText

          public java.lang.String getErrorText()

    - #### setErrorText

          public void setErrorText(java.lang.String errorText)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getAccountTitle

          public java.lang.String getAccountTitle()

    - #### setAccountTitle

          public void setAccountTitle(java.lang.String accountTitle)

    - #### getAccountId

          public int getAccountId()

    - #### setAccountId

          public void setAccountId(int accountId)

    - #### getHour

          public java.util.Date getHour()

    - #### setHour

          public void setHour(java.util.Date hour)

    - #### getCode

          public int getCode()

    - #### setCode

          public void setCode(int code)

    - #### getSessionStart

          public java.util.Date getSessionStart()

    - #### setSessionStart

          public void setSessionStart(java.util.Date sessionStart)

    - #### getDeviceId

          public int getDeviceId()

    - #### setDeviceId

          public void setDeviceId(int deviceId)

    - #### getFromPort

          public java.lang.String getFromPort()

    - #### setFromPort

          public void setFromPort(java.lang.String fromPort)

    - #### getToPort

          public java.lang.String getToPort()

    - #### setToPort

          public void setToPort(java.lang.String toPort)

    - #### getDuration

          public long getDuration()

    - #### setDuration

          public void setDuration(long duration)